## javax.portlet
Annotation Type RenderMode

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface RenderMode

Annotation for marking a method for handling a specific portlet mode in the render phase. The `GenericPortlet` tries to dispatch to methods annotated with the tag `@RenderMode` for any received render call.

Since:
  2.0

Required Element Summary
`java.lang.String` `name` Name of the render mode.

Element Detail

### name

    public abstract java.lang.String name

  Name of the render mode.

  Returns:
    render mode name

Copyright © 2010. All Rights Reserved.